slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPCISSGetKSPs

Retrieve the array of linear solver objects associated with the CISS solver.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPCISSGetKSPs(NEP nep,PetscInt *nsolve,KSP **ksp)

Collective

### Input Parameter

| nep | - nonlinear eigenvalue solver

### Output Parameters

| nsolve | - number of solver objects
| ksp | - array of linear solver object

### Notes

The number of KSP solvers is equal to the number of integration points divided by the number of partitions. This value is halved in the case of real matrices with a region centered at the real axis.

### See Also

NEPCISSSetSizes()

### Level

advanced

### Location

src/nep/impls/ciss/nciss.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages